Index: tools/dimacs-solver.cc
===================================================================
--- tools/dimacs-solver.cc	(revision 594)
+++ tools/dimacs-solver.cc	(revision 532)
@@ -24,8 +24,9 @@
 ///
 /// See
-/// \code
-///   dimacs-solver --help
-/// \endcode
+/// \verbatim
+///  dimacs-solver --help
+/// \endverbatim
 /// for more info on usage.
+///
 
 #include <iostream>
@@ -43,5 +44,5 @@
 #include <lemon/dijkstra.h>
 #include <lemon/preflow.h>
-#include <lemon/matching.h>
+#include <lemon/max_matching.h>
 
 using namespace lemon;
@@ -72,5 +73,5 @@
 template<class Value>
 void solve_max(ArgParser &ap, std::istream &is, std::ostream &,
-               Value infty, DimacsDescriptor &desc)
+              DimacsDescriptor &desc)
 {
   bool report = !ap.given("q");
@@ -80,5 +81,5 @@
   Timer ti;
   ti.restart();
-  readDimacsMax(is, g, cap, s, t, infty, desc);
+  readDimacsMax(is, g, cap, s, t, desc);
   if(report) std::cerr << "Read the file: " << ti << '\n';
   ti.restart();
@@ -115,15 +116,4 @@
            DimacsDescriptor &desc)
 {
-  std::stringstream iss(static_cast<std::string>(ap["infcap"]));
-  Value infty;
-  iss >> infty;
-  if(iss.fail())
-    {
-      std::cerr << "Cannot interpret '"
-                << static_cast<std::string>(ap["infcap"]) << "' as infinite"
-                << std::endl;
-      exit(1);
-    }
-  
   switch(desc.type)
     {
@@ -133,5 +123,5 @@
       break;
     case DimacsDescriptor::MAX:
-      solve_max<Value>(ap,is,os,infty,desc);
+      solve_max<Value>(ap,is,os,desc);
       break;
     case DimacsDescriptor::SP:
@@ -170,5 +160,4 @@
     .optionGroup("datatype","ldouble")
     .onlyOneGroup("datatype")
-    .stringOption("infcap","Value used for 'very high' capacities","0")
     .run();
 
Index: tools/dimacs-to-lgf.cc
===================================================================
--- tools/dimacs-to-lgf.cc	(revision 584)
+++ tools/dimacs-to-lgf.cc	(revision 440)
@@ -25,8 +25,9 @@
 ///
 /// See
-/// \code
-///   dimacs-to-lgf --help
-/// \endcode
-/// for more info on the usage.
+/// \verbatim
+///  dimacs-to-lgf --help
+/// \endverbatim
+/// for more info on usage.
+///
 
 #include <iostream>
@@ -96,5 +97,5 @@
         DoubleArcMap lower(digraph), capacity(digraph), cost(digraph);
         DoubleNodeMap supply(digraph);
-        readDimacsMin(is, digraph, lower, capacity, cost, supply, 0, desc);
+        readDimacsMin(is, digraph, lower, capacity, cost, supply, desc);
         DigraphWriter<Digraph>(digraph, os).
           nodeMap("supply", supply).
@@ -111,5 +112,5 @@
         Node s, t;
         DoubleArcMap capacity(digraph);
-        readDimacsMax(is, digraph, capacity, s, t, 0, desc);
+        readDimacsMax(is, digraph, capacity, s, t, desc);
         DigraphWriter<Digraph>(digraph, os).
           arcMap("capacity", capacity).
Index: tools/lemon-0.x-to-1.x.sh
===================================================================
--- tools/lemon-0.x-to-1.x.sh	(revision 574)
+++ tools/lemon-0.x-to-1.x.sh	(revision 466)
@@ -23,9 +23,10 @@
         -e "s/UGraph/_Gr_aph_label_/g"\
         -e "s/u[Gg]raph/_gr_aph_label_/g"\
-        -e "s/Graph\>/_Digr_aph_label_/g"\
+        -e "s/\<Graph\>/_Digr_aph_label_/g"\
         -e "s/\<graph\>/_digr_aph_label_/g"\
-        -e "s/Graphs\>/_Digr_aph_label_s/g"\
+        -e "s/\<Graphs\>/_Digr_aph_label_s/g"\
         -e "s/\<graphs\>/_digr_aph_label_s/g"\
-        -e "s/\([Gg]\)raph\([a-z]\)/_\1r_aph_label_\2/g"\
+        -e "s/_Graph/__Gr_aph_label_/g"\
+        -e "s/\([Gg]\)raph\([a-z_]\)/_\1r_aph_label_\2/g"\
         -e "s/\([a-z_]\)graph/\1_gr_aph_label_/g"\
         -e "s/Graph/_Digr_aph_label_/g"\
@@ -34,12 +35,12 @@
         -e "s/u[Ee]dge/_ed_ge_label_/g"\
         -e "s/IncEdgeIt/_In_cEd_geIt_label_/g"\
-        -e "s/Edge\>/_Ar_c_label_/g"\
+        -e "s/\<Edge\>/_Ar_c_label_/g"\
         -e "s/\<edge\>/_ar_c_label_/g"\
-        -e "s/_edge\>/_ar_c_label_/g"\
-        -e "s/Edges\>/_Ar_c_label_s/g"\
+        -e "s/\<Edges\>/_Ar_c_label_s/g"\
         -e "s/\<edges\>/_ar_c_label_s/g"\
-        -e "s/_edges\>/_ar_c_label_s/g"\
-        -e "s/\([Ee]\)dge\([a-z]\)/_\1d_ge_label_\2/g"\
-        -e "s/\([a-z]\)edge/\1_ed_ge_label_/g"\
+        -e "s/_Edge/__Ed_ge_label_/g"\
+        -e "s/Edge\([a-z_]\)/_Ed_ge_label_\1/g"\
+        -e "s/edge\([a-z_]\)/_ed_ge_label_\1/g"\
+        -e "s/\([a-z_]\)edge/\1_ed_ge_label_/g"\
         -e "s/Edge/_Ar_c_label_/g"\
         -e "s/edge/_ar_c_label_/g"\
@@ -90,8 +91,4 @@
         -e "s/\<StoreBoolMap\>/LoggerBoolMap/g"\
         -e "s/\<storeBoolMap\>/loggerBoolMap/g"\
-        -e "s/\<InvertableMap\>/CrossRefMap/g"\
-        -e "s/\<invertableMap\>/crossRefMap/g"\
-        -e "s/\<DescriptorMap\>/RangeIdMap/g"\
-        -e "s/\<descriptorMap\>/rangeIdMap/g"\
         -e "s/\<BoundingBox\>/Box/g"\
         -e "s/\<readNauty\>/readNautyGraph/g"\
@@ -120,9 +117,4 @@
         -e "s/\<DirGraphAdaptor\>/Orienter/g"\
         -e "s/\<dirGraphAdaptor\>/orienter/g"\
-        -e "s/\<LpCplex\>/CplexLp/g"\
-        -e "s/\<MipCplex\>/CplexMip/g"\
-        -e "s/\<LpGlpk\>/GlpkLp/g"\
-        -e "s/\<MipGlpk\>/GlpkMip/g"\
-        -e "s/\<LpSoplex\>/SoplexLp/g"\
     <$i > $TMP
     mv $TMP $i
Index: tools/lgf-gen.cc
===================================================================
--- tools/lgf-gen.cc	(revision 584)
+++ tools/lgf-gen.cc	(revision 524)
@@ -24,12 +24,13 @@
 ///
 /// See
-/// \code
-///   lgf-gen --help
-/// \endcode
+/// \verbatim
+///  lgf-gen --help
+/// \endverbatim
 /// for more info on the usage.
+///
+
 
 #include <algorithm>
 #include <set>
-#include <ctime>
 #include <lemon/list_graph.h>
 #include <lemon/random.h>
